Skip to main content
Resource Center/Hardware/Backup Storage Operations/Ceph Backup Storage Operations

RemoveMonFromCephBackupStorage

RemoveMonFromCephBackupStorage

DELETE/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}

Operation ID

RemoveMonFromCephBackupStorage

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the Ceph backup storage.

  • monHostnames
    StringRequired

    Path parameter.

Query Parameters

  • monHostnames
    String

    Query parameter.

Body Fields

  • monHostnames
    ListRequired

    The hostnames of the Ceph mon (monitor daemon).

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}